# Created by pyp2rpm-1.0.1
%global pypi_name sphinxcontrib-programoutput

%bcond_with docs

Name:           python-sphinxcontrib-programoutput
Version:        0.17
Release:        %mkrel 4
Group:          Development/Python
Summary:        Sphinx extension to include program output
License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-programoutput/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A Sphinx_ extension to literally insert the output of arbitrary commands into
documents.

%package -n python3-sphinxcontrib-programoutput
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
Requires:       python3dist(sphinx)

%description -n python3-sphinxcontrib-programoutput
A Sphinx_ extension to literally insert the output of arbitrary commands into
documents.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=$(pwd)/build/lib sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%files -n python3-sphinxcontrib-programoutput
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
%{python3_sitelib}/sphinxcontrib
%{python3_sitelib}/sphinxcontrib_programoutput-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/sphinxcontrib_programoutput-%{version}-*.pth


%changelog
* Sun Mar 02 2025 wally <wally> 0.17-4.mga10
+ Revision: 2158747
- rebuild for python3.13

* Thu Dec 07 2023 wally <wally> 0.17-3.mga10
+ Revision: 2015098
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.17-2.mga9
+ Revision: 1832743
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 0.17-1.mga9
+ Revision: 1782011
- Bootstrap w/o docs
- Fix filelist for python-3.10
- 0.17)
- Rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.16-2.mga9
+ Revision: 1732973
- Rebuild for python 3.9

* Wed Mar 03 2021 guillomovitch <guillomovitch> 0.16-1.mga9
+ Revision: 1697575
- new version 0.16

* Sun Feb 16 2020 umeabot <umeabot> 0.14-4.mga8
+ Revision: 1534123
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.14-3.mga8
+ Revision: 1447443
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 0.14-2.mga8
+ Revision: 1427250
- drop python2 support
- add patch via Fedora to add sphinx 2.0 support

* Sun Apr 21 2019 wally <wally> 0.14-1.mga7
+ Revision: 1394253
- new version 0.14
- add python3 pkg

* Wed Sep 19 2018 umeabot <umeabot> 0.8-10.mga7
+ Revision: 1274847
- Mageia 7 Mass Rebuild

* Fri Feb 19 2016 umeabot <umeabot> 0.8-9.mga6
+ Revision: 971044
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.8-8.mga6
+ Revision: 889030
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.8-7.mga5
+ Revision: 744911
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8-6.mga5
+ Revision: 729818
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-5.mga5
+ Revision: 688348
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8-3.mga4
+ Revision: 544163
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-2.mga4
+ Revision: 499427
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 10 2013 joequant <joequant> 0.8-1.mga4
+ Revision: 477183
- don't generate docs
- imported package python-sphinxcontrib-programoutput

